---
title: "Query all local shipping information"
description: "Get all local delivery info"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-local-shipping-information'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-local-shipping-information.md'
---
# Query all local shipping information

Get all local delivery info

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /local_delivery/list.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_shipping`

## Request

### Query Parameters

* `language`

  string (optional)

  Language

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `local_delivery_list`

  array<object>

  Local shipping list

  * `local_delivery`

    object

    Local shipping configuration

    * `create_at`

      string

      Creation time

    * `local_delivery_seq`

      string

      Local configuration id

    * `location_seq`

      string

      Address code

    * `plans`

      array<object>

      Regional plan

      * `store_id`

        string

        store ID

      * `zips`

        array<string>

        Postal code

      * `description`

        string

        Local shipping description

      * `intervals`

        array<object>

        Conditions zones

      * `local_delivery_plan_seq`

        string

        Local delivery program plan id

      * `local_delivery_seq`

        string

        Local shipping configuration id

      * `name`

        string

        Name

    * `store_id`

      string

      store ID

    * `support`

      boolean

      Support local delivery , true or not /false

    * `type`

      integer

      Local delivery type , 1- zip code

    * `update_at`

      string

      Update time

  * `location_address`

    object

    Address information

    * `province_code`

      string

      Province code

    * `district`

      string

      District

    * `address1`

      string

      Detailed address

    * `active`

      boolean

      The address enables the status , and the current local delivery will only return the status activated address , that is , status is true

    * `district_code`

      string

      District county code

    * `country_code`

      string

      Country code

    * `province`

      string

      Province

    * `city`

      string

      City

    * `country`

      string

      Country Name

    * `zip`

      string

      Postal code

    * `town`

      string

      Street town name

    * `location_seq`

      string

      Address code

    * `create_at`

      string

      Creation time

    * `city_code`

      string

      City code

    * `update_at`

      string

      Update time

    * `location_name`

      string

      Address name

    * `priority`

      integer

      Address priority

    * `phone`

      string

      Phone number

    * `town_code`

      string

      Street town

    * `address2`

      string

      Detailed address 2


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Get all local delivery info",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "b4woIsld",
  "parameters": [
    {
      "name": "language",
      "in": "query",
      "description": "Language",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "language",
        "description": "Language",
        "type": "string",
        "example": "Zh-hans-cn"
      },
      "example": "Zh-hans-cn"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "local_delivery_list": {
                "name": "local_delivery_list",
                "description": "Local shipping list",
                "type": "array",
                "items": {
                  "name": "local_delivery_list",
                  "description": "Local shipping list",
                  "type": "object",
                  "properties": {
                    "local_delivery": {
                      "name": "local_delivery",
                      "description": "Local shipping configuration",
                      "type": "object",
                      "properties": {
                        "create_at": {
                          "name": "create_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "local_delivery_seq": {
                          "name": "local_delivery_seq",
                          "description": "Local configuration id",
                          "type": "string",
                          "example": "LD5505526999799042803"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "Address code",
                          "type": "string",
                          "example": "5431421851439468254"
                        },
                        "plans": {
                          "name": "plans",
                          "description": "Regional plan",
                          "type": "array",
                          "items": {
                            "name": "plans",
                            "description": "Regional plan",
                            "type": "object",
                            "properties": {
                              "store_id": {
                                "name": "store_id",
                                "description": "store ID",
                                "type": "string",
                                "example": "1635143945022"
                              },
                              "zips": {
                                "name": "zips",
                                "description": "Postal code",
                                "type": "array",
                                "items": {
                                  "name": "zips",
                                  "description": "Postal code",
                                  "type": "string",
                                  "example": "34244,23443,4324"
                                },
                                "example": [
                                  "34244,23443,4324"
                                ]
                              },
                              "description": {
                                "name": "description",
                                "description": "Local shipping description",
                                "type": "string",
                                "example": "The south district will be delivered within an hour"
                              },
                              "intervals": {
                                "name": "intervals",
                                "description": "Conditions zones",
                                "type": "array",
                                "items": {
                                  "name": "intervals",
                                  "description": "Conditions zones",
                                  "type": "object",
                                  "properties": {
                                    "order_amount_to": {
                                      "name": "order_amount_to",
                                      "description": "The order amount is end range , the unit is divided , such as $ 100 , and the return is 10000",
                                      "type": "long",
                                      "example": 0
                                    },
                                    "delivery_amount": {
                                      "name": "delivery_amount",
                                      "description": "The shipping amount , the unit is divided , such as $ 100 , the return is 10000",
                                      "type": "long",
                                      "example": 0
                                    },
                                    "order_amount_from": {
                                      "name": "order_amount_from",
                                      "description": "The order amount starts in the range , the unit is divided , such as $ 100 , and the return is 10000",
                                      "type": "long",
                                      "example": 0
                                    }
                                  },
                                  "example": {
                                    "order_amount_from": 0,
                                    "order_amount_to": 0,
                                    "delivery_amount": 0
                                  }
                                },
                                "example": [
                                  {
                                    "order_amount_to": 0,
                                    "delivery_amount": 0,
                                    "order_amount_from": 0
                                  }
                                ]
                              },
                              "local_delivery_plan_seq": {
                                "name": "local_delivery_plan_seq",
                                "description": "Local delivery program plan id",
                                "type": "string",
                                "example": "LDP5656698158002475446"
                              },
                              "local_delivery_seq": {
                                "name": "local_delivery_seq",
                                "description": "Local shipping configuration id",
                                "type": "string",
                                "example": "LD5505526999799042803"
                              },
                              "name": {
                                "name": "name",
                                "description": "Name",
                                "type": "string",
                                "example": "South district"
                              }
                            },
                            "example": {
                              "local_delivery_seq": "LD5505526999799042803",
                              "name": "South district",
                              "store_id": "1635143945022",
                              "zips": [
                                "34244,23443,4324"
                              ],
                              "description": "The south district will be delivered within an hour",
                              "intervals": [
                                {
                                  "order_amount_from": 0,
                                  "order_amount_to": 0,
                                  "delivery_amount": 0
                                }
                              ],
                              "local_delivery_plan_seq": "LDP5656698158002475446"
                            }
                          },
                          "example": [
                            {
                              "description": "The south district will be delivered within an hour",
                              "intervals": [
                                {
                                  "order_amount_to": 0,
                                  "delivery_amount": 0,
                                  "order_amount_from": 0
                                }
                              ],
                              "local_delivery_plan_seq": "LDP5656698158002475446",
                              "local_delivery_seq": "LD5505526999799042803",
                              "name": "South district",
                              "store_id": "1635143945022",
                              "zips": [
                                "34244,23443,4324"
                              ]
                            }
                          ]
                        },
                        "store_id": {
                          "name": "store_id",
                          "description": "store ID",
                          "type": "string",
                          "example": "1635143945022"
                        },
                        "support": {
                          "name": "support",
                          "description": "Support local delivery , true or not /false",
                          "type": "boolean",
                          "example": false
                        },
                        "type": {
                          "name": "type",
                          "description": "Local delivery type , 1- zip code",
                          "type": "integer",
                          "example": 0
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "Update time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        }
                      },
                      "example": {
                        "store_id": "1635143945022",
                        "support": false,
                        "type": 0,
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "create_at": "2019-12-18T06:06:24.942Z",
                        "local_delivery_seq": "LD5505526999799042803",
                        "location_seq": "5431421851439468254",
                        "plans": [
                          {
                            "intervals": [
                              {
                                "delivery_amount": 0,
                                "order_amount_from": 0,
                                "order_amount_to": 0
                              }
                            ],
                            "local_delivery_plan_seq": "LDP5656698158002475446",
                            "local_delivery_seq": "LD5505526999799042803",
                            "name": "South district",
                            "store_id": "1635143945022",
                            "zips": [
                              "34244,23443,4324"
                            ],
                            "description": "The south district will be delivered within an hour"
                          }
                        ]
                      }
                    },
                    "location_address": {
                      "name": "location_address",
                      "description": "Address information",
                      "type": "object",
                      "properties": {
                        "province_code": {
                          "name": "province_code",
                          "description": "Province code",
                          "type": "string",
                          "example": "440000"
                        },
                        "district": {
                          "name": "district",
                          "description": "District",
                          "type": "string",
                          "example": "Upper-class"
                        },
                        "address1": {
                          "name": "address1",
                          "description": "Detailed address",
                          "type": "string",
                          "example": "93 yuangang road in the open city of the ihan district"
                        },
                        "active": {
                          "name": "active",
                          "description": "The address enables the status , and the current local delivery will only return the status activated address , that is , status is true",
                          "type": "boolean",
                          "example": false
                        },
                        "district_code": {
                          "name": "district_code",
                          "description": "District county code",
                          "type": "string",
                          "example": "440111"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "Country code",
                          "type": "string",
                          "example": "CN"
                        },
                        "province": {
                          "name": "province",
                          "description": "Province",
                          "type": "string",
                          "example": "Guangdong"
                        },
                        "city": {
                          "name": "city",
                          "description": "City",
                          "type": "string",
                          "example": "Guangzhou"
                        },
                        "country": {
                          "name": "country",
                          "description": "Country Name",
                          "type": "string",
                          "example": "China"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "Postal code",
                          "type": "string",
                          "example": "34453"
                        },
                        "town": {
                          "name": "town",
                          "description": "Street town name",
                          "type": "string",
                          "example": "New pond town"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "Address code",
                          "type": "string",
                          "example": "5431421851439468254"
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "city_code": {
                          "name": "city_code",
                          "description": "City code",
                          "type": "string",
                          "example": "440100"
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "Update time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "location_name": {
                          "name": "location_name",
                          "description": "Address name",
                          "type": "string",
                          "example": "Upper store"
                        },
                        "priority": {
                          "name": "priority",
                          "description": "Address priority",
                          "type": "integer",
                          "example": 1
                        },
                        "phone": {
                          "name": "phone",
                          "description": "Phone number",
                          "type": "string",
                          "example": "18520474762"
                        },
                        "town_code": {
                          "name": "town_code",
                          "description": "Street town",
                          "type": "string",
                          "example": "200031"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "Detailed address 2",
                          "type": "string",
                          "example": "Zhihuiyuan b ;"
                        }
                      },
                      "example": {
                        "province_code": "440000",
                        "active": false,
                        "country": "China",
                        "city_code": "440100",
                        "address1": "93 yuangang road in the open city of the ihan district",
                        "location_name": "Upper store",
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "create_at": "2019-12-18T06:06:24.942Z",
                        "town": "New pond town",
                        "location_seq": "5431421851439468254",
                        "zip": "34453",
                        "phone": "18520474762",
                        "city": "Guangzhou",
                        "priority": 1,
                        "address2": "Zhihuiyuan b ;",
                        "district_code": "440111",
                        "district": "Upper-class",
                        "country_code": "CN",
                        "town_code": "200031",
                        "province": "Guangdong"
                      }
                    }
                  },
                  "example": {
                    "local_delivery": {
                      "local_delivery_seq": "LD5505526999799042803",
                      "location_seq": "5431421851439468254",
                      "plans": [
                        {
                          "local_delivery_seq": "LD5505526999799042803",
                          "name": "South district",
                          "store_id": "1635143945022",
                          "zips": [
                            "34244,23443,4324"
                          ],
                          "description": "The south district will be delivered within an hour",
                          "intervals": [
                            {
                              "order_amount_to": 0,
                              "delivery_amount": 0,
                              "order_amount_from": 0
                            }
                          ],
                          "local_delivery_plan_seq": "LDP5656698158002475446"
                        }
                      ],
                      "store_id": "1635143945022",
                      "support": false,
                      "type": 0,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "create_at": "2019-12-18T06:06:24.942Z"
                    },
                    "location_address": {
                      "district_code": "440111",
                      "country": "China",
                      "city_code": "440100",
                      "active": false,
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "town": "New pond town",
                      "province": "Guangdong",
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "district": "Upper-class",
                      "town_code": "200031",
                      "priority": 1,
                      "zip": "34453",
                      "location_seq": "5431421851439468254",
                      "address2": "Zhihuiyuan b ;",
                      "province_code": "440000",
                      "phone": "18520474762",
                      "address1": "93 yuangang road in the open city of the ihan district",
                      "country_code": "CN",
                      "location_name": "Upper store",
                      "city": "Guangzhou"
                    }
                  }
                },
                "example": [
                  {
                    "local_delivery": {
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "local_delivery_seq": "LD5505526999799042803",
                      "location_seq": "5431421851439468254",
                      "plans": [
                        {
                          "store_id": "1635143945022",
                          "zips": [
                            "34244,23443,4324"
                          ],
                          "description": "The south district will be delivered within an hour",
                          "intervals": [
                            {
                              "order_amount_to": 0,
                              "delivery_amount": 0,
                              "order_amount_from": 0
                            }
                          ],
                          "local_delivery_plan_seq": "LDP5656698158002475446",
                          "local_delivery_seq": "LD5505526999799042803",
                          "name": "South district"
                        }
                      ],
                      "store_id": "1635143945022",
                      "support": false,
                      "type": 0,
                      "update_at": "2019-12-18T06:06:24.942Z"
                    },
                    "location_address": {
                      "country": "China",
                      "town": "New pond town",
                      "province": "Guangdong",
                      "address1": "93 yuangang road in the open city of the ihan district",
                      "district_code": "440111",
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5431421851439468254",
                      "phone": "18520474762",
                      "priority": 1,
                      "zip": "34453",
                      "active": false,
                      "location_name": "Upper store",
                      "town_code": "200031",
                      "district": "Upper-class",
                      "address2": "Zhihuiyuan b ;",
                      "province_code": "440000",
                      "city": "Guangzhou",
                      "country_code": "CN",
                      "city_code": "440100",
                      "create_at": "2019-12-18T06:06:24.942Z"
                    }
                  }
                ]
              }
            },
            "example": {
              "local_delivery_list": [
                {
                  "local_delivery": {
                    "support": false,
                    "type": 0,
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "local_delivery_seq": "LD5505526999799042803",
                    "location_seq": "5431421851439468254",
                    "plans": [
                      {
                        "local_delivery_plan_seq": "LDP5656698158002475446",
                        "local_delivery_seq": "LD5505526999799042803",
                        "name": "South district",
                        "store_id": "1635143945022",
                        "zips": [
                          "34244,23443,4324"
                        ],
                        "description": "The south district will be delivered within an hour",
                        "intervals": [
                          {
                            "delivery_amount": 0,
                            "order_amount_from": 0,
                            "order_amount_to": 0
                          }
                        ]
                      }
                    ],
                    "store_id": "1635143945022"
                  },
                  "location_address": {
                    "zip": "34453",
                    "country_code": "CN",
                    "district_code": "440111",
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "country": "China",
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "phone": "18520474762",
                    "province": "Guangdong",
                    "province_code": "440000",
                    "town": "New pond town",
                    "address2": "Zhihuiyuan b ;",
                    "location_seq": "5431421851439468254",
                    "district": "Upper-class",
                    "location_name": "Upper store",
                    "priority": 1,
                    "city_code": "440100",
                    "city": "Guangzhou",
                    "address1": "93 yuangang road in the open city of the ihan district",
                    "town_code": "200031",
                    "active": false
                  }
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/local_delivery/list.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query all local shipping information",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```